From david-b@pacbell.net Wed Aug 31 11:06:00 2005
From: David Brownell <david-b@pacbell.net>
Subject: USB: get rid of minor log spamming
Date: Wed, 31 Aug 2005 10:45:25 -0700
Cc: Greg KH <greg@kroah.com>
Message-Id: <200508311045.25494.david-b@pacbell.net>

Routine cases like handoff-to-companion shouldn't trigger diagnostics.
This gets rid of some recently added log spamming.  It's routine for
hub_port_wait_reset() to return -ENOTCONN to indicate handoff from
highspeed hubs to companions, so an error message is incorrect.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/core/hub.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/core/hub.c	2005-09-12 10:47:36.000000000 -0700
+++ gregkh-2.6/drivers/usb/core/hub.c	2005-09-12 11:01:57.000000000 -0700
@@ -1460,7 +1460,7 @@ static int hub_port_reset(struct usb_hub
 					port1, status);
 		else {
 			status = hub_port_wait_reset(hub, port1, udev, delay);
-			if (status)
+			if (status && status != -ENOTCONN)
 				dev_dbg(hub->intfdev,
 						"port_wait_reset: err = %d\n",
 						status);
